All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
sliced_ell_matrix.hpp File Reference

Implementation of the sliced_ell_matrix class. More...

`#include "viennacl/forwards.h"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/linalg/sparse_matrix_operations.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::sliced_ell_matrix< ScalarT, IndexT >
| Sparse matrix class using the sliced ELLPACK with parameters C, . More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.

## Functions

template<typename CPUMatrixT , typename ScalarT , typename IndexT >
void | viennacl::copy (CPUMatrixT const &cpu_matrix, sliced_ell_matrix< ScalarT, IndexT > &gpu_matrix)
template<typename IndexT , typename NumericT , typename IndexT2 >
void | viennacl::copy (std::vector< std::map< IndexT, NumericT > > const &cpu_matrix, sliced_ell_matrix< NumericT, IndexT2 > &gpu_matrix)
| Copies a sparse matrix from the host to the compute device. The host type is the std::vector< std::map < > > format . More...

## Detailed Description

Implementation of the sliced_ell_matrix class.

Based on the SELL-C-sigma format provided by Kreutzer et al., 2014

Definition in file sliced_ell_matrix.hpp.